import Link from "next/link";

export default function footerButton({ url, inner_text, is_external }) {
  const target = Boolean(is_external) ? is_external : "";

  return (
    <div className="flex-1 overflow-visible">
      <Link href={url}>
        <a target={target}>
          <div className="ml-1 mr-1 rounded-sm ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue hover:ring-skye-werefox-pink-dark dark:hover:ring-skye-werefox-pink  text-skye-werefox-blue-darker dark:text-skye-werefox-blue hover:text-skye-werefox-pink-dark dark:hover:text-skye-werefox-pink transition">
            <p className="pl-2 pr-2 text-center sm:text-md text-sm">
              {inner_text}
            </p>
          </div>
        </a>
      </Link>
    </div>
  );
}
