import Link from "next/link";
import Image from "next/image";

export default function PageButton({
  title,
  images,
  url,
  extra_classes,
  new_tab,
}) {
  if (Boolean(new_tab)) {
    return (
      <div>
        <Link href={url}>
          <a
            className={`${extra_classes} p-2 w-full inline-block text-lg text-center rounded-sm ring-2 bg-skye-werefox-grey-lightest dark:bg-skye-werefox-grey-dark ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue hover:ring-skye-werefox-pink-dark dark:hover:ring-skye-werefox-pink text-skye-werefox-blue-dark dark:text-skye-werefox-blue hover:text-skye-werefox-pink-dark dark:hover:text-skye-werefox-pink focus:text-skye-werefox-pink-dark dark:focus:text-skye-werefox-pink hover:animate-yip transition`}
            target="_blank"
          >
            {images.map((source) => (
              <span
                key={source}
                className="animate-jiggle sm:w-6 sm:h-6 w-4 h-6 inline-block align-top"
              >
                <Image
                  src={source.src}
                  layout="fill"
                  objectFit="contain"
                  alt={source.alt}
                />
              </span>
            ))}
            {` ${title}`}
          </a>
        </Link>
      </div>
    );
  } else {
    return (
      <div>
        <Link href={url}>
          <a
            className={`${extra_classes} p-2 w-full inline-block text-lg text-center rounded-sm ring-2 bg-skye-werefox-grey-lightest dark:bg-skye-werefox-grey-dark ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue hover:ring-skye-werefox-pink-dark dark:hover:ring-skye-werefox-pink text-skye-werefox-blue-dark dark:text-skye-werefox-blue hover:text-skye-werefox-pink-dark dark:hover:text-skye-werefox-pink focus:text-skye-werefox-pink-dark dark:focus:text-skye-werefox-pink hover:animate-yip transition`}
          >
            {images.map((source) => (
              <span
                key={source}
                className="animate-jiggle sm:w-6 sm:h-6 w-4 h-6 inline-block align-top"
              >
                <Image
                  src={source.src}
                  layout="fill"
                  objectFit="contain"
                  alt={source.alt}
                />
              </span>
            ))}
            {` ${title}`}
          </a>
        </Link>
      </div>
    );
  }
}
