import Image from "next/image";

export default function WerefoxCardTitle({ title, title_emoji }) {
  if (Boolean(title_emoji)) {
    return (
      <div className="p-4 w-full items-center justify-center align-middle rounded-sm ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue ">
        <span className="object-contain relative inline-block w-8 h-8 mb-1 align-middle">
          <Image
            src={title_emoji["src"]}
            layout="fill"
            objectFit="contain"
            alt={title_emoji["alt"]}
          />
        </span>
        <p className="inline text-md sm:text-lg text-skye-werefox-blue-dark dark:text-skye-werefox-blue">
          {` ${title}`}
        </p>
      </div>
    );
  } else {
    return (
      <div className="rounded-sm ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue">
        <p className="p-4 text-center text-md sm:text-lg text-skye-werefox-blue-dark dark:text-skye-werefox-blue">
          {title}
        </p>
      </div>
    );
  }
}
